aboutsummaryrefslogtreecommitdiff
path: root/t/t5318-commit-graph.sh
diff options
context:
space:
mode:
authorJunio C Hamano <gitster@pobox.com>2022-01-03 16:24:15 -0800
committerJunio C Hamano <gitster@pobox.com>2022-01-03 16:24:15 -0800
commit4f4b18497aea75425506097de7225df8c7cf5c66 (patch)
tree894010237b6188081699ace29bf5796f42bd4362 /t/t5318-commit-graph.sh
parent0dc90d954db852c6604796b8d817365f94e92a16 (diff)
parent0c51d6b4aec9f1959d148960cb55155b676cec78 (diff)
downloadgit-4f4b18497aea75425506097de7225df8c7cf5c66.tar.xz
Merge branch 'es/test-chain-lint'
Broken &&-chains in the test scripts have been corrected. * es/test-chain-lint: t6000-t9999: detect and signal failure within loop t5000-t5999: detect and signal failure within loop t4000-t4999: detect and signal failure within loop t0000-t3999: detect and signal failure within loop tests: simplify by dropping unnecessary `for` loops tests: apply modern idiom for exiting loop upon failure tests: apply modern idiom for signaling test failure tests: fix broken &&-chains in `{...}` groups tests: fix broken &&-chains in `$(...)` command substitutions tests: fix broken &&-chains in compound statements tests: use test_write_lines() to generate line-oriented output tests: simplify construction of large blocks of text t9107: use shell parameter expansion to avoid breaking &&-chain t6300: make `%(raw:size) --shell` test more robust t5516: drop unnecessary subshell and command invocation t4202: clarify intent by creating expected content less cleverly t1020: avoid aborting entire test script when one test fails t1010: fix unnoticed failure on Windows t/lib-pager: use sane_unset() to avoid breaking &&-chain
Diffstat (limited to 't/t5318-commit-graph.sh')
-rwxr-xr-xt/t5318-commit-graph.sh6
1 files changed, 3 insertions, 3 deletions
diff --git a/t/t5318-commit-graph.sh b/t/t5318-commit-graph.sh
index f516fda7cc..edb728f77c 100755
--- a/t/t5318-commit-graph.sh
+++ b/t/t5318-commit-graph.sh
@@ -64,7 +64,7 @@ test_expect_success 'create commits and repack' '
for i in $(test_seq 3)
do
test_commit $i &&
- git branch commits/$i
+ git branch commits/$i || return 1
done &&
git repack
'
@@ -147,13 +147,13 @@ test_expect_success 'Add more commits' '
for i in $(test_seq 4 5)
do
test_commit $i &&
- git branch commits/$i
+ git branch commits/$i || return 1
done &&
git reset --hard commits/2 &&
for i in $(test_seq 6 7)
do
test_commit $i &&
- git branch commits/$i
+ git branch commits/$i || return 1
done &&
git reset --hard commits/2 &&
git merge commits/4 &&